# ApplicationFramework
PTKernel
PTColStd

# PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent Class Reference

`#include <PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent ()
Standard_EXPORT | PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent (const PTColStd_DoubleMapOfTransientPersistent &aMap)
Standard_EXPORT void | Initialize (const PTColStd_DoubleMapOfTransientPersistent &aMap)
Standard_EXPORT const Handle_Standard_Transient & | Key1 () const
Standard_EXPORT const Handle_Standard_Persistent & | Key2 () const

## Constructor & Destructor Documentation

Standard_EXPORT PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent | ( |  | ) |

Standard_EXPORT PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent | ( | const PTColStd_DoubleMapOfTransientPersistent & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::Initialize | ( | const PTColStd_DoubleMapOfTransientPersistent & | aMap | ) |

Standard_EXPORT const Handle_Standard_Transient& PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::Key1 | ( |  | ) | const

Standard_EXPORT const Handle_Standard_Persistent& PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::Key2 | ( |  | ) | const

void PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::operator new | ( | size_t | size | ) | `[inline]`

void* PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- PTColStd_DoubleMapIteratorOfDoubleMapOfTransientPersistent.hxx